Endpoint Examples

/models

GET /models

Returns available classifier models and their registered versions.

Code Examples

curl --request GET \
     --url https://api.lightcast.io/classification/models \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <Access_Token>'

Response Examples

{
  "data": [
    {
      "modelName": "lot",
      "description": "Classifies a raw title and description to a matching Lightcast Specialized Occupation",
      "availableVersions": [
        {
          "version": "7.15.0",
          "taxonomies": {
            "lot": "7.15"
          },
          "releaseDate": "2026-03-30 22:23:37",
          "deprecationDate": "2026-05-29 22:23:37"
        }
      ]
    },
    {
      "modelName": "company",
      "description": "Normalizes a raw company name to a matching Lightcast Company",
      "availableVersions": [
        {
          "version": "2.89.0",
          "taxonomies": {
            "companies": "2.89.0"
          },
          "releaseDate": "2026-03-30 22:23:37",
          "deprecationDate": "2026-05-29 22:23:37"
        }
      ]
    }
  ]
}
{
  "message": "Verification failed"
}
{
  "title": "Forbidden",
  "status": 403,
  "detail": "insufficient scope"
}
{
  "title": "Method Not Allowed",
  "status": 405,
  "detail": "unsupported method"
}
{
  "title": "Internal Server Error",
  "status": 500,
  "detail": "classification failed while executing request"
}

GET /models/{model}

Returns model metadata including model name, description, and available versions.

Path Parameters

NameTypeDescription
modelstringExternal classifier model name, available models are listed in the Models endpoint.

Code Examples

curl --request GET \
     --url https://api.lightcast.io/classification/models/model \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <Access_Token>'

Response Examples

{
  "data": {
    "modelName": "lot",
    "description": "This is lot classification service",
    "availableVersions": [
      {
        "version": "7.9.0",
        "taxonomies": {
          "additionalProp": "string"
        },
        "releaseDate": "2023-07-14T16:08:51Z",
        "deprecationDate": "2023-09-12T16:08:51Z"
      }
    ]
  }
}
{
  "message": "Verification failed"
}
{
  "title": "Forbidden",
  "status": 403,
  "detail": "insufficient scope"
}
//Example: ModelNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "model not found: unknown"
}

//Example: ModelVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "version not found: 0"
}

//Example: GraphModelNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "failed to resolve model 'jobTitle': model not found: unknown"
}

//Example: GraphModelVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "failed to resolve model 'jobTitle': version not found: 0"
}

//Example: SetNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "invalid set: unknown"
}

//Example: SetVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "invalid set: postings, version: 0"
}

//Example: NoRoute
{
  "title": "Not Found",
  "status": 404,
  "detail": "no matched route found"
}
{
  "title": "Method Not Allowed",
  "status": 405,
  "detail": "unsupported method"
}
{
  "title": "Internal Server Error",
  "status": 500,
  "detail": "classification failed while executing request"
}

GET /models/{model}/version

Returns the selected model versions.

Path Patameters

NameTypeDescription
modelstringExternal classifier model name, available models are listed in the Models endpoint.

Code Examples

curl --request GET \
     --url https://api.lightcast.io/classification/models/model/versions \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <Access_Token>'

Response Examples

{
  "data": [
    {
      "version": "7.9.0",
      "taxonomies": {
        "additionalProp": "string"
      },
      "releaseDate": "2023-07-14T16:08:51Z",
      "deprecationDate": "2023-09-12T16:08:51Z"
    }
  ]
}
{
  "message": "Verification failed"
}
{
  "title": "Forbidden",
  "status": 403,
  "detail": "insufficient scope"
}
//Example: ModelNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "model not found: unknown"
}

//Example: ModelVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "version not found: 0"
}

//Example: GraphModelNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "failed to resolve model 'jobTitle': model not found: unknown"
}

//Example: GraphModelVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "failed to resolve model 'jobTitle': version not found: 0"
}

//Example: SetNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "invalid set: unknown"
}

//Example: SetVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "invalid set: postings, version: 0"
}

//Example: NoRoute
{
  "title": "Not Found",
  "status": 404,
  "detail": "no matched route found"
}
{
  "title": "Method Not Allowed",
  "status": 405,
  "detail": "unsupported method"
}
{
  "title": "Internal Server Error",
  "status": 500,
  "detail": "classification failed while executing request"
}

GET /models/{model}/versions/{version}

Returns a model version's taxonomies and raw JSON Schema objects for model input and output.

Path Parameters

NameTypeDescription
modelstringExternal classifier model name, available models are listed in the Models endpoint.
versionstringModel version.

Code Examples

curl --request GET \
     --url https://api.lightcast.io/classification/models/model/versions/version \
     --header 'accept: application/json' \
     --header 'authorization: Bearer <Access_Token>'

Response Examples

{
  "data": {
    "taxonomies": {
      "additionalProp": "string"
    },
    "releaseDate": "2023-07-14T16:08:51Z",
    "deprecationDate": "2023-07-14T16:08:51Z",
    "input": {
      "type": "object",
      "required": [
        "country",
        "language",
        "title",
        "description"
      ],
      "properties": {
        "additionalProp": {
          "additionalProp": {}
        }
      }
    },
    "output": {
      "type": "object",
      "required": [
        "specOccId",
        "confidenceScore"
      ],
      "properties": {
        "additionalProp": {
          "additionalProp": {}
        }
      }
    }
  }
}
{
  "message": "Verification failed"
}
{
  "title": "Forbidden",
  "status": 403,
  "detail": "insufficient scope"
}
//Example: ModelNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "model not found: unknown"
}

//Example: ModelVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "version not found: 0"
}

//Example: GraphModelNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "failed to resolve model 'jobTitle': model not found: unknown"
}

//Example: GraphModelVesrionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "failed to resolve model 'jobTitle': version not found: 0"
}

//Example: SetNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "invalid set: unknown"
}

//Example: SetVersionNotFound
{
  "title": "Not Found",
  "status": 404,
  "detail": "invalid set: postings, version: 0"
}

//Example: NoRoute
{
  "title": "Not Found",
  "status": 404,
  "detail": "no matched route found"
}
{
  "title": "Method Not Allowed",
  "status": 405,
  "detail": "unsupported method"
}
{
  "title": "Internal Server Error",
  "status": 500,
  "detail": "classification failed while executing request"
}